##
##  xterm.spec -- OpenPKG RPM Specification
##  Copyright (c) 2000-2003 Cable & Wireless Deutschland GmbH
##  Copyright (c) 2000-2003 The OpenPKG Project <http://www.openpkg.org/>
##  Copyright (c) 2000-2003 Ralf S. Engelschall <rse@engelschall.com>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

%define       V_whole        1.72
%define       V_xterm        172
%define       V_xtermset     0.5.1
%define       V_xtermcontrol 2.0.2

#   package information
Name:         xterm
Summary:      Terminal Emulation for X11
URL:          http://invisible-island.net/xterm/
Vendor:       X Consortium, Thomas E. Dickey
Packager:     The OpenPKG Project
Distribution: OpenPKG [EVAL]
Group:        XWindow
License:      X11
Version:      %{V_whole}
Release:      20021228

#   list of sources
Source0:      ftp://invisible-island.net/xterm/xterm-%{V_xterm}.tgz
Source1:      http://osdn.dl.sourceforge.net/sourceforge/clts/xtermset-%{V_xtermset}.tar.gz
Source2:      http://www.thrysoee.dk/xtermcontrol/xtermcontrol-%{V_xtermcontrol}.tar.gz

#   build information
Prefix:       %{l_prefix}
BuildRoot:    %{l_buildroot}
BuildPreReq:  OpenPKG, openpkg >= 20020206, X11
PreReq:       OpenPKG, openpkg >= 20020206, X11
AutoReq:      no
AutoReqProv:  no

%description
    Xterm is a terminal emulator for the X Window System. It provides
    DEC VT102 compatible terminals for programs that cannot use the
    window system directly. This version implements ISO/ANSI colors
    using the "new" color model (i.e., background color erase). It also
    implements most of the control sequences for VT220.

%prep
    %setup0 -q -c
    %setup1 -q -T -D -a 1
    %setup2 -q -T -D -a 2

%build
    ( cd xterm-%{V_xterm}
      CC="%{l_cc}" \
      CFLAGS="%{l_cflags -O}" \
      ./configure \
          --prefix=%{l_prefix} \
          --with-x \
          --x-includes=`%{l_prefix}/etc/rc --query x11_incdir` \
          --x-libraries=`%{l_prefix}/etc/rc --query x11_libdir` \
          --disable-tek4014 \
          --disable-vt52 \
          --disable-active-icon
      %{l_make} %{l_mflags -O}
    )
    ( cd xtermset-%{V_xtermset}
      CC="%{l_cc}" \
      CFLAGS="%{l_cflags -O}" \
      ./configure \
          --prefix=%{l_prefix}
      %{l_make} %{l_mflags -O}
    )
    ( cd xtermcontrol-%{V_xtermcontrol}
      CC="%{l_cc}" \
      CFLAGS="%{l_cflags -O}" \
      ./configure \
          --prefix=%{l_prefix}
      %{l_make} %{l_mflags -O}
    )

%install
    rm -rf $RPM_BUILD_ROOT
    ( cd xterm-%{V_xterm}
      %{l_make} %{l_mflags} install DESTDIR=$RPM_BUILD_ROOT
    )
    ( cd xtermset-%{V_xtermset}
      %{l_make} %{l_mflags} install AM_MAKEFLAGS="DESTDIR=$RPM_BUILD_ROOT"
    )
    ( cd xtermcontrol-%{V_xtermcontrol}
      %{l_make} %{l_mflags} install AM_MAKEFLAGS="DESTDIR=$RPM_BUILD_ROOT"
    )
    strip $RPM_BUILD_ROOT%{l_prefix}/bin/* >/dev/null 2>&1 || true
    rm -rf $RPM_BUILD_ROOT%{l_prefix}/share/aclocal
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT \
        %{l_files_std} \
        '%attr(4755,root,%{l_mgrp}) %{l_prefix}/bin/xterm'

%files -f files

%clean
    rm -rf $RPM_BUILD_ROOT

